Contents
Index 🔎︎

# DatePart Function

Faankishinin DatePart guyyaa caqasame deebisa.

### Syntax:

    DatePart (interval As String, date As Date [, firstDayOfWeek As Integer [, firstWeekOfYear As Integer]]) As Long

### Gatii deebii:

The extracted part for the given date.

### Parameters:

interval - A string expression from the following table, specifying the date interval.

interval (string value) | Ibsa
yyyy | Waggaa
q | Kumaana
m | Ji'a
y | Guyyaa Waggaa
w | Guyyaa Torbee
ww | Torbee Waggaa
d | Guyyaa
h | Sa'aa
n | Daqiiqaa
s | Sekandii

date - The date from which the result is calculated.

Date literals allow to specify unambiguous date variables that are independent from the current language. Literals are enclosed between hash signs #. Possible formats are:

- #yyyy-mm-dd#

- #mm/dd/yyyy#

firstdayofweek: An optional parameter that specifies the starting day of a week.

firstdayofweek value | Ibsa
0 | Gatii sirna Durtii fayyadami
1 | Dilbata(Duurtii)
2 | Wixata
3 | Kibxata
4 | Roobii
5 | Kamisa
6 | Jimaata
7 | Sanbata

firstweekofyear: An optional parameter that specifies the starting week of a year.

firstweekofyear value | Ibsa
0 | Gatii sirna Durtii fayyadami
1 | Torbeen 1 torbee Amajjii waliin, 1st(durtii)
2 | Torbeen 1 torbee tokkoffaa guyyoota bara sanaa afur ykn isaa ol kan of keessaa qabu
3 | Torbeen 1 torbee tokkoffaa guyyoota waggaa haraa qofa of keessaa qabu

### Example:

    Sub example_datepart
        MsgBox DatePart("ww", #12/31/2005#)
        MsgBox DatePart(date:=#1999-12-30#, interval:="q")
    End Sub